
_MCU_Init:

	MOVLW       2
	MOVWF       ANSELA+0 
	CLRF        ANSELD+0 
	CLRF        ANSELB+0 
	CLRF        ANSELC+0 
	MOVLW       2
	MOVWF       TRISA+0 
	CLRF        TRISC+0 
	CLRF        LATC+0 
	BSF         T2CON+0, 0, 0
	BCF         T2CON+0, 1, 0
	MOVLW       99
	MOVWF       PR2+0, 0
	CALL        _PWM2_Init+0, 0
L_end_MCU_Init:
	RETURN      0
; end of _MCU_Init

_Lcd_Display:

	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt1+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt1+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       16
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt3+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt3+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
L_end_Lcd_Display:
	RETURN      0
; end of _Lcd_Display

_main:

	CALL        _MCU_Init+0, 0
	CALL        _Lcd_Init+0, 0
	CALL        _Lcd_Display+0, 0
	CLRF        _current_duty+0 
	CLRF        _current_duty+1 
	CALL        _PWM2_Start+0, 0
	MOVF        _current_duty+0, 0 
	MOVWF       FARG_PWM2_Set_Duty_new_duty+0 
	CALL        _PWM2_Set_Duty+0, 0
L_main0:
	MOVLW       1
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVLW       255
	ANDWF       R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	ANDLW       255
	MOVWF       R3 
	MOVF        R2, 0 
	MOVWF       _adc_rd+0 
	MOVF        R3, 0 
	MOVWF       _adc_rd+1 
	MOVF        R2, 0 
	MOVWF       _current_duty+0 
	MOVF        R3, 0 
	MOVWF       _current_duty+1 
	RRCF        _current_duty+1, 1 
	RRCF        _current_duty+0, 1 
	BCF         _current_duty+1, 7 
	RRCF        _current_duty+1, 1 
	RRCF        _current_duty+0, 1 
	BCF         _current_duty+1, 7 
	MOVF        _current_duty+0, 0 
	MOVWF       main_cur_duty_byte_L1+0 
	MOVF        _current_duty+0, 0 
	MOVWF       FARG_PWM2_Set_Duty_new_duty+0 
	CALL        _PWM2_Set_Duty+0, 0
	MOVF        main_cur_duty_byte_L1+0, 0 
	MOVWF       R0 
	CALL        _byte2double+0, 0
	MOVLW       20
	MOVWF       R4 
	MOVLW       174
	MOVWF       R5 
	MOVLW       71
	MOVWF       R6 
	MOVLW       125
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	CALL        _double2byte+0, 0
	MOVF        R0, 0 
	MOVWF       main_cur_duty_byte_L1+0 
	MOVF        R0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _txt+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       11
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main2:
	DECFSZ      R13, 1, 1
	BRA         L_main2
	DECFSZ      R12, 1, 1
	BRA         L_main2
	NOP
	NOP
	GOTO        L_main0
L_end_main:
	GOTO        $+0
; end of _main
