#line 1 "D:/Stefan Popovic/Projekti/Click_PWM_Driver_Si8711CC/example/PIC/pwm_driver_pic.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/built_in.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;



typedef signed char int_fast8_t;
typedef signed int int_fast16_t;
typedef signed long int int_fast32_t;


typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned long int uint_fast32_t;


typedef signed int intptr_t;
typedef unsigned int uintptr_t;


typedef signed long int intmax_t;
typedef unsigned long int uintmax_t;
#line 54 "D:/Stefan Popovic/Projekti/Click_PWM_Driver_Si8711CC/example/PIC/pwm_driver_pic.c"
 sbit LCD_RS at LATB4_bit;
 sbit LCD_EN at LATB5_bit;
 sbit LCD_D4 at LATB0_bit;
 sbit LCD_D5 at LATB1_bit;
 sbit LCD_D6 at LATB2_bit;
 sbit LCD_D7 at LATB3_bit;

 sbit LCD_RS_Direction at TRISB4_bit;
 sbit LCD_EN_Direction at TRISB5_bit;
 sbit LCD_D4_Direction at TRISB0_bit;
 sbit LCD_D5_Direction at TRISB1_bit;
 sbit LCD_D6_Direction at TRISB2_bit;
 sbit LCD_D7_Direction at TRISB3_bit;


 uint16_t current_duty;
 uint16_t adc_rd;
 char txt1[] = "PWM driver click";
 char txt2[] = "PWM Duty";
 char txt3[] = "%";
 char txt[5];

 void MCU_Init()
 {
 ANSELA = 0x02;
 ANSELD = 0;
 ANSELB = 0;
 ANSELC = 0;
 TRISA = 0x02;
 TRISC = 0;
 LATC = 0;
 PWM2_Init( 5000 );
 }

 void Lcd_Display()
 {
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 Lcd_Out(1, 1, txt1);
 Lcd_Out(2, 1, txt2);
 Lcd_Out(2, 16, txt3);
 }
 void main()
 {
 MCU_Init();
 Lcd_Init();
 Lcd_Display();
 current_duty = 0;
 PWM2_Start();
 PWM2_Set_Duty(current_duty);

 while ( 1 )

 {

 uint8_t cur_duty_byte;


 adc_rd = ADC_Read(1) & 0x0000FFFF;
 current_duty = adc_rd / 4 ;
 cur_duty_byte =  ((unsigned *)&current_duty)[0] ;

 PWM2_Set_Duty(cur_duty_byte);
 cur_duty_byte = cur_duty_byte * 0.39;
 ByteToStr(cur_duty_byte, txt);
 Lcd_Out(2, 11, txt);
 Delay_ms( 20 );
 }


 }
